Skip to main content
PUT
Store a Solana confidential-transfer seed

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

walletId
string
required

UUID of the wallet

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Body

application/json
solanaAddress
string
required

Solana address (base58 public key) the seed derives ElGamal keys for

encryptedSeed
string
required

Evervault-sealed confidential seed (ev:-prefixed); opaque to redcoast

elgamalPubkey
string
required

Base64-encoded 32-byte ElGamal public key derived from the seed

derivationVersion
integer

Seed derivation version (defaults to 1; higher versions insert a new row)

Response

Seed stored

solanaAddress
string
required
derivationVersion
integer
required
elgamalPubkey
string
required
chain
string
required

Always SOL

encryptedSeed
string

Present on GET responses only